logbookd(1) "logbookd"

# NAME

logbookd - a sqlite backed syslog daemon

# SYNOPSIS

logbookd [OPTIONS]

OPTIONS := { -v | -f | -r | -o | -l path | -d path | -p path | -g kB | -h }

# DESCRIPTION

Implementation of the /dev/log socket that writes to an sqlite database that
is either in-memory or stored to disk. Logs can be read out using the logread
tool.

# OPTIONS

*-h*
	Show the help message and quit

*-v*
	Show verbose output to stdout

*-o*
	Output raw incoming log data. This is very verbose and only for debugging.

*-f*
	Don't daemonize on launch but stay in the foreground

*-r*
	Reduced write mode. In this mode the database will be kept in memory but
	the database will be written out to disk on exit or when receiving the
	USR1 signal.

*-d path*
	Path to the sqlite database to store the log messages in. This defaults to
	:memory:. This is also used as the writeout location for reduced write mode.

*-l path*
	Location of the syslog socket. This defaults to /dev/log for normal systems.

*-p pidfile*
	Location to store the pidfile for this daemon

*-g kB*
	When the in-memory database grows larger than the kB value defined here it
	will start removing old log messages.

# STARTUP NOTIFICATION

	The logbookd daemon supports two methods of startup notifications. The first
	one is notifying systemd through the socket activation system. This is
	available when compiling on systems with libsystemd.

	The secon notification mechanism is FD activation as supported by dinit and
	s6. For this set the LOGBOOKD_READY_FD environment variable through the init
	system and logbookd will write a newline to the assigned FD to notify
	readyness. For dinit this option is:

		ready-notification = pipevar:LOGBOOKD_READY_FD

# SEE ALSO

logread(1)
